Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 6)
@@ -30,6 +30,9 @@
                 m_GridWidth = dgvAllDisplay.Width;
                 m_WindowWidth = this.Width;
                 m_WindowHeight = this.Height;
+
+                // 削除ボタンはデバック専用
+                if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode) btnDataDelete.Visible = true;
             }
             catch (Exception ex)
             {
@@ -48,14 +51,14 @@
             {
                 DataGridView dgv = dgvAllDisplay;
 
-                int CellWidth1 = m_CellSize[(int)DispGridColumn.ItemName];
-                int CellWidth2 = m_CellSize[(int)DispGridColumn.TextName];
-                int CellWidth3 = m_CellSize[(int)DispGridColumn.SubContractorName];
+                int CellWidth1 = m_CellSize[(int)GridColumn.ItemName];
+                int CellWidth2 = m_CellSize[(int)GridColumn.TextName];
+                int CellWidth3 = m_CellSize[(int)GridColumn.CompanyName];
                 // 最大化の場合
                 if (!bNormal)
                 {
                     int allWidth = 0;
-                    for (int i = 0; i < dgv.ColumnCount;i++ )
+                    for (int i = 0; i < dgv.ColumnCount; i++)
                     {
                         allWidth += m_CellSize[i];
                     }
@@ -68,9 +71,9 @@
                     CellWidth3 += idifference;
                 }
 
-                dgv.Columns[(int)DispGridColumn.ItemName].Width = CellWidth1;
-                dgv.Columns[(int)DispGridColumn.TextName].Width = CellWidth2;
-                dgv.Columns[(int)DispGridColumn.SubContractorName].Width = CellWidth3;
+                dgv.Columns[(int)GridColumn.ItemName].Width = CellWidth1;
+                dgv.Columns[(int)GridColumn.TextName].Width = CellWidth2;
+                dgv.Columns[(int)GridColumn.CompanyName].Width = CellWidth3;
 
             }
             catch (Exception ex)
@@ -107,6 +110,23 @@
         }
         #endregion
 
+        #region 経費率データ読込み並び
+        /// <summary>
+        /// 経費率データ読込み並び
+        /// </summary>
+        private enum ExpensesArray
+        {
+            /// <summary>
+            /// 経費名称
+            /// </summary>
+            ExpensesName = 0,
+            /// <summary>
+            /// 経費率
+            /// </summary>
+            ExpensesRate,
+        }
+        #endregion
+
         #region 経費率リスト取得処理
         /// <summary>
         /// 経費率リストを取得する
@@ -121,17 +141,18 @@
                 // 工事担当者マスタ取得
                 string strPerson = picDB.CreatePrimarykeyString(m_ConstructionBaseInfo.ConstructionPersonCode);
                 PersonInChargeMaster picRec = new PersonInChargeMaster();
-                if(!picDB.SelectAction(strPerson,ref picRec)) return false;
+                if (!picDB.SelectAction(strPerson, ref picRec)) return false;
 
                 // 部署経費率マスタ取得
                 string strSQL = "SELECT A.NAMESTRING, NVL(B.EXPENSESRATIO, 0)";
-                strSQL += " FROM DIVISIONMASTER A, ";
-                strSQL += " (SELECT NAMECODE, DEPARTMENTCODE, EXPENSESRATIO FROM DEPARTMENTEXPENSESMASTER";
-                strSQL += string.Format(" WHERE DEPARTMENTCODE = {0}) B", picRec.DepartmentCode);
+                strSQL += " FROM DIVISIONMASTER A";
+                strSQL += " LEFT OUTER JOIN";
+                strSQL += string.Format(" (SELECT NAMECODE, DEPARTMENTCODE, EXPENSESRATIO FROM DEPARTMENTEXPENSESMASTER WHERE DEPARTMENTCODE = {0}) B", picRec.DepartmentCode);
+                strSQL += " ON A.NAMECODE = B.NAMECODE";
                 strSQL += string.Format(" WHERE A.DIVISIONCODE = {0}", (int)CommonDefine.DivisionMasterCodeDefine.ConstructionExpenses);
-                strSQL += "AND A.NAMECODE = B.NAMECODE(+) ORDER BY A.DISPLAYORDER";
-                if (!expDB.ExecuteReader(strSQL, ref ExpensesList)) return false;
-                if (ExpensesList.Count == 0) return false;
+                strSQL += " ORDER BY A.DISPLAYORDER";
+                if (!expDB.ExecuteReader(strSQL, ref m_ExpensesList)) return false;
+                if (m_ExpensesList.Count == 0) return false;
 
                 return true;
             }
@@ -154,13 +175,19 @@
         /// </summary>
         private void SetDisplayObject()
         {
-            // ヘッダー情報
+            // 表示オブジェクト領域確保
+            int CtrlCnt = Enum.GetNames(typeof(DspLblCtrlName)).Length;
+            m_DspLabelCtrl = new Control[CtrlCnt];
+
+            // 表示オブジェクトセット
             m_DspLabelCtrl[(int)DspLblCtrlName.ConstCode] = lblLabel01;
             m_DspLabelCtrl[(int)DspLblCtrlName.ConstName] = lblLabel02;
             m_DspLabelCtrl[(int)DspLblCtrlName.ConstPlace] = lblLabel03;
 
+            m_DspLabelCtrl[(int)DspLblCtrlName.OrdersName] = lblLabel06;
+
             m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName] = lblLabel04;
-
+            m_DspLabelCtrl[(int)DspLblCtrlName.AssistantName] = label21;
             m_DspLabelCtrl[(int)DspLblCtrlName.InstructorName] = label12;
 
             m_DspLabelCtrl[(int)DspLblCtrlName.CreateDate] = label2;
@@ -171,6 +198,10 @@
 
             m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType] = label17;
             m_DspLabelCtrl[(int)DspLblCtrlName.BudgetOverrun] = lblBudgetOverrun;
+
+            // データ行数領域確保
+            int DispLineCnt = Enum.GetNames(typeof(CostsRowLine)).Length;
+            m_CostsRowCount = new int[DispLineCnt];
         }
         #endregion
 
@@ -180,13 +211,20 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_DspLabelCtrl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                wrk.Text = "";
+                foreach (Control wrk in m_DspLabelCtrl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    wrk.Text = "";
+                }
+
+                m_bChengeAns = false;
             }
-
-            m_bChengeAns = false;
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
 
@@ -213,6 +251,37 @@
         }
         #endregion
 
+        #region デフォルトカラム以外を削除する
+        /// <summary>
+        /// デフォルトカラム以外を削除する
+        /// </summary>
+        private void RemoveExtensionColumn()
+        {
+            try
+            {
+                // グリッドデフォルトカラム数取得
+                int ColumnsCnt = Enum.GetNames(typeof(GridColumn)).Length - 1;
+                DataGridView dgv = dgvAllDisplay;
+
+                // デフォルト以上に無ければ処理しない
+                if (dgv.ColumnCount <= ColumnsCnt) return;
+
+                for (int i = dgv.ColumnCount - 1; i > ColumnsCnt; i--)
+                {
+                    dgv.Columns.RemoveAt(i);
+                }
+
+                m_GridPaymentColList = null;
+                m_GridTotalColList = null;
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region ヘッダー情報表示
         /// <summary>
         /// ヘッダー情報表示
@@ -227,40 +296,44 @@
             {
                 m_HeaderToolTip = new ToolTip();
 
-                // 工事予算書を取得する
+                // デフォルトカラム以外を削除する
+                RemoveExtensionColumn();
+
+                // 工事詳細台帳を取得する
                 string strSQL = LedgerDB.CreatePrimarykeyString(m_ConstructionCode);
                 ConstructionLedger LedgerRec = new ConstructionLedger();
                 bool bBudgetExist = LedgerDB.SelectAction(strSQL, ref LedgerRec);
 
                 // データ表示
-                m_DspLabelCtrl[(int)DspLblCtrlName.CreateDate].Text = LedgerRec.CreateDate.ToShortDateString();                                                     // 作成日
-                
-                m_DspLabelCtrl[(int)DspLblCtrlName.ConstCode].Text = CommonMotions.cnvStringCodeFromInt(m_ConstructionCode, "-", 8);                            // 工事コード
-                
+                m_DspLabelCtrl[(int)DspLblCtrlName.CreateDate].Text = LedgerRec.CreateDate.ToShortDateString();                                 // 作成日
+
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstCode].Text = CommonMotions.cnvStringCodeFromInt(m_ConstructionCode, "-", 8);            // 工事コード
+
                 // 受注金額をそのまま持ってくるか、集計するか
                 int OrdersPrice = 0;
                 if (LedgerRec.IntegrationFlg == (int)CommonDefine.LedgerIntegration.Normal)
                 {
-                    OrdersPrice = (int)m_ConstructionBaseInfo.OrdersDecisionPrice;
+                    // 変更がない場合は工事情報より持ってくる
+                    OrdersPrice = GetOrderPraiceTotal();
                 }
                 else
                 {
                     OrdersPrice = GetEstimateTotal();
                 }
-                m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text = @"\" + OrdersPrice.ToString("#,0") + "-";                                                // 受注金額
+                m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text = @"\" + OrdersPrice.ToString("#,0");                                // 受注金額
 
                 // 工事基本情報明細取得
                 strSQL = cbidDB.CreatePrimarykeyString(m_ConstructionCode, (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
                 ConstructionBaseInfoDetail workRec = new ConstructionBaseInfoDetail();
                 if (!cbidDB.SelectAction(strSQL, ref workRec)) return false;
-                m_DspLabelCtrl[(int)DspLblCtrlName.ConstName].Text = workRec.DetailString;                                                                      // 工事名称
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstName].Text = workRec.DetailString;                                                      // 工事名称
                 m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.ConstName], workRec.DetailString);
 
                 strSQL = cbidDB.CreatePrimarykeyString(m_ConstructionCode);
                 strSQL += string.Format(" And (DetailNo = {0} Or DetailNo = {1} Or DetailNo = {2})",
-                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace1,                                   // 工事場所１
-                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace2,                                   // 工事場所２
-                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);                                  // 工事場所３
+                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace1,                                    // 工事場所１
+                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace2,                                    // 工事場所２
+                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);                                   // 工事場所３
                 strSQL += " Order By DetailNo";
                 List<ConstructionBaseInfoDetail> workList = new List<ConstructionBaseInfoDetail>();
                 cbidDB.SelectAction(strSQL, ref workList);
@@ -269,9 +342,14 @@
                 {
                     Place += wrkRec.DetailString;
                 }
-                m_DspLabelCtrl[(int)DspLblCtrlName.ConstPlace].Text = Place;                                                                                    // 工事場所
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstPlace].Text = Place;                                                                    // 工事場所
                 m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.ConstPlace], Place);
 
+                ConstructionBaseInfoDetail OrderRec = new ConstructionBaseInfoDetail();
+                string strOrder = cbidDB.CreatePrimarykeyString(m_ConstructionCode, (int)ConstructionBaseInfoDetail.DetailDataNo.OrderersName);
+                cbidDB.SelectAction(strOrder, ref OrderRec);
+                m_DspLabelCtrl[(int)DspLblCtrlName.OrdersName].Text = OrderRec.DetailString;                                                    // 発注者名称
+
                 // 工事担当者取得
                 int PersonCode = LedgerRec.CreatorCode;
                 if (PersonCode == 0) PersonCode = m_ConstructionBaseInfo.ConstructionPersonCode;
@@ -279,9 +357,20 @@
                 PersonInChargeMaster personRec = new PersonInChargeMaster();
                 picDB.SelectAction(strSQL, ref personRec);
 
-                m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName].Text = personRec.PersonName;                                                                    // 作成者
+                m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName].Text = personRec.PersonName;                                                    // 作成者
                 m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName], personRec.PersonName);
-                
+
+                // 副担当取得
+                PersonCode = m_ConstructionBaseInfo.ConstrSubPersonCode;
+                if (PersonCode != 0)
+                {
+                    strSQL = picDB.CreatePrimarykeyString(PersonCode);
+                    PersonInChargeMaster AssistantRec = new PersonInChargeMaster();
+                    picDB.SelectAction(strSQL, ref AssistantRec);
+                    m_DspLabelCtrl[(int)DspLblCtrlName.AssistantName].Text = AssistantRec.PersonName;                                           // 担当指導員
+                    m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.AssistantName], AssistantRec.PersonName);
+                }
+
                 // 担当指導員取得
                 PersonCode = m_ConstructionBaseInfo.ConstructionInstructor;
                 if (PersonCode != 0)
@@ -289,21 +378,30 @@
                     strSQL = picDB.CreatePrimarykeyString(PersonCode);
                     PersonInChargeMaster instructorRec = new PersonInChargeMaster();
                     picDB.SelectAction(strSQL, ref instructorRec);
-                    m_DspLabelCtrl[(int)DspLblCtrlName.InstructorName].Text = instructorRec.PersonName;                                                         // 担当指導員
+                    m_DspLabelCtrl[(int)DspLblCtrlName.InstructorName].Text = instructorRec.PersonName;                                         // 担当指導員
                     m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.InstructorName], instructorRec.PersonName);
                 }
 
-                DateTime StDate = LedgerRec.ConstructionStart;
-                DateTime EdDate = LedgerRec.ConstructionEnd;
-                
+                //DateTime StDate = LedgerRec.ConstructionStart;
+                //DateTime EdDate = LedgerRec.ConstructionEnd;
+
+                DateTime StDate = DateTime.MinValue;
+                DateTime EdDate = DateTime.MinValue;
+
                 // 開始日が無い場合
                 if (StDate == DateTime.MinValue) StDate = m_ConstructionBaseInfo.ConstructionPeriodStart;
                 // 完了日が無い場合
-                if (EdDate == DateTime.MinValue) EdDate = m_ConstructionBaseInfo.ConstructionPeriodEnd;
+                if (EdDate == DateTime.MinValue)
+                {
+                    // 延長がある場合は延長を入れる
+                    if (m_ConstructionBaseInfo.ConstructionPeriodEnd2 != DateTime.MinValue) EdDate = m_ConstructionBaseInfo.ConstructionPeriodEnd2;
+                    else EdDate = m_ConstructionBaseInfo.ConstructionPeriodEnd;
 
-                m_DspLabelCtrl[(int)DspLblCtrlName.StartingDate].Text = StDate.ToShortDateString();                                                         // 契約工期開始
-                m_DspLabelCtrl[(int)DspLblCtrlName.CompleteDate].Text = EdDate.ToShortDateString();                                                         // 契約工期完成
+                }
 
+                m_DspLabelCtrl[(int)DspLblCtrlName.StartingDate].Text = StDate.ToShortDateString();                                             // 契約工期開始
+                m_DspLabelCtrl[(int)DspLblCtrlName.CompleteDate].Text = EdDate.ToShortDateString();                                             // 契約工期完成
+
                 m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text = CommonMotions.DiffMounthTimes(StDate, EdDate).ToString("0.00");
 
                 // 工事種別マスタ取得
@@ -311,7 +409,7 @@
                 strSQL = ctypeDB.CreatePrimarykeyString(m_ConstructionBaseInfo.ConstructionType);
                 ConstructionTypeMaster ctypeRec = new ConstructionTypeMaster();
                 ctypeDB.SelectAction(strSQL, ref ctypeRec);
-                m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType].Text = ctypeRec.NameString;                                                                   // 工事種別
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType].Text = ctypeRec.NameString;                                                // 工事種別
                 m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType], ctypeRec.NameString);
 
                 // 支払枠を作成する
@@ -340,6 +438,15 @@
                 // ToolTipが表示されるようにする
                 comptip.SetToolTip(btnComplate, "このボタンを押すと台帳入力済みになって入力出来なくなります！！");
 
+                // 一般ユーザーは人件費を変更できない
+                int User = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;                  // 一般ユーザー
+                if (CommonMotions.LoginUserData.SecurityManagement == User)
+                {
+                    btnAssistantChange.Visible = false;
+                    btnInstractorChange.Visible = false;
+                    // 受注金額変更ボタンは上長以上のみ
+                    btnChangePrice.Visible = false;
+                }
 
                 return true;
             }
@@ -358,6 +465,50 @@
         }
         #endregion
 
+        #region 工事増減を含むデータ合計取得
+        /// <summary>
+        /// 工事増減を含むデータ合計取得
+        /// </summary>
+        /// <returns></returns>
+        private int GetOrderPraiceTotal()
+        {
+            IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
+            try
+            {
+                int OrdersPrice = 0;
+                if (m_ConstructionBaseInfo.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Standard)
+                {
+                    // 変更がない場合は工事情報より持ってくる
+                    OrdersPrice = (int)m_ConstructionBaseInfo.OrdersDecisionPrice;
+                }
+                else if (m_ConstructionBaseInfo.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Pearent)
+                {
+                    string strSQL = "SELECT SUM(A.ORDERSDECISIONPRICE) FROM CONSTRUCTIONBASEINFO A";
+                    strSQL += string.Format(" WHERE A.CONSTRUCTIONSTATUSFLG != {0}", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key);
+                    strSQL += " AND A.CONSTRUCTIONCODE IN (SELECT FLUCTUATIONCODE FROM CONSTRUCTIONLINK";
+                    strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0})", m_ConstructionCode);
+                    ArrayList arList = new ArrayList();
+                    if (BaseDB.ExecuteReader(strSQL, ref arList))
+                    {
+                        object[] wrkobj = (object[])arList[0];
+                        OrdersPrice = CommonMotions.cnvInt(wrkobj[0]);
+                    }
+                    OrdersPrice += (int)m_ConstructionBaseInfo.OrdersDecisionPrice;
+                }
+                return OrdersPrice;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
+            finally
+            {
+                BaseDB.close(); BaseDB = null;
+            }
+        }
+        #endregion
+
         #region 積算見積りデータ合計取得
         /// <summary>
         /// 積算見積りデータ合計取得
@@ -387,9 +538,9 @@
         }
         #endregion
 
-        #region 完了タイトルセット
+        #region 入力完了処理
         /// <summary>
-        /// 完了タイトルセット
+        /// 入力完了処理
         /// </summary>
         private void SetInputComplate(bool bUpdate)
         {
@@ -400,12 +551,12 @@
             lblComplate.Text = ComplateString[1];
             lblComplate.BackColor = Color.Black;
             lblComplate.ForeColor = Color.White;
-            
+
             // ボタンを消す
             btnComplate.Visible = false;
-            
+
             // ラベルのサイズを変える
-            lblComplate.Width += 30; 
+            lblComplate.Width += 30;
 
             // 画面ロック
             SeeModeLock();
@@ -419,13 +570,13 @@
                 lblComplate.Text = ComplateString[0];
                 lblComplate.BackColor = BeforeBackColor;
                 lblComplate.ForeColor = BeforeForeColor;
-                
+
                 // ボタンを消す
                 btnComplate.Visible = true;
-                
+
                 // ラベルのサイズを変える
                 lblComplate.Width -= 30;
-                
+
                 // 画面ロック
                 SeeModeLock(true);
 
@@ -432,11 +583,52 @@
                 return;
             }
 
+            // 支払補填枠再計算
+            RowAllCalcPayResult();
+
             // データ更新
             DataEntryProcess(false);
         }
         #endregion
 
+        #region 支払可能額・支払補填枠の再計算
+        /// <summary>
+        /// 支払可能額・支払補填枠の再計算
+        /// </summary>
+        private void RowAllCalcPayResult()
+        {
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+                int GridColCnt=dgv.ColumnCount;
+
+                // グリッドの全行を対象にする
+                foreach (DataGridViewRow CurRow in dgv.Rows)
+                {
+                    // 空白行は処理しない
+                    if (BlankLine(CurRow.Index)) continue;
+
+                    for (int ix = ((int)GridColumn.payment + 1); ix < dgv.ColumnCount; ix++)
+                    {
+                        // 空白カラムは処理しない
+                        if (CommonMotions.cnvString(CurRow.Cells[ix].Value).Length == 0) continue;
+                        
+                        // 行の計算
+                        RowReCalculate(CurRow, CurRow.Index, ix);
+                    }
+                    // 支払可能額を支払補填枠へセットする
+                    int Burdens = GridColCnt + (int)ColPayTotal.PaymentBurdens;
+                    int Results = GridColCnt + (int)ColPayTotal.Results;
+                    CurRow.Cells[Burdens].Value = CommonMotions.cnvInt(CurRow.Cells[Results].Value).ToString("#,0");
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 支払欄カラム作成
         /// <summary>
         /// 支払欄カラムを作成する
@@ -445,6 +637,9 @@
         {
             try
             {
+                if (m_GridPaymentColList != null) return;
+                if (m_GridTotalColList != null) return;
+
                 DataGridView dgv = dgvAllDisplay;
                 // 支払欄数取得
                 int ColumnCount = CommonMotions.cnvRoundUp(CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text));
@@ -452,7 +647,7 @@
                 ColumnCount += 3;
 
                 // 月毎支払欄作成
-                DateTime dtTitileDate = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.StartingDate].Text);
+                DateTime dtTitleDate = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.StartingDate].Text);
                 m_GridPaymentColList = new DataGridViewColumn[ColumnCount];
                 m_GridPaymentCellStyleList = new DataGridViewCellStyle[ColumnCount];
                 for (int i = 0; i < ColumnCount; i++)
@@ -463,12 +658,13 @@
 
                     // セル作成
                     m_GridPaymentColList[i] = new DataGridViewColumn();
+                    m_GridPaymentColList[i].CellTemplate = new DataGridViewTextBoxCell();
                     dgv.Columns.Add(m_GridPaymentColList[i]);
 
                     // カラムの設定
                     m_GridPaymentColList[i].CellTemplate = new DataGridViewTextBoxCell();
                     m_GridPaymentColList[i].DefaultCellStyle = m_GridPaymentCellStyleList[i];
-                    m_GridPaymentColList[i].HeaderText = string.Format("{0}年{1}月", dtTitileDate.AddMonths(i).Year, dtTitileDate.AddMonths(i).Month);
+                    m_GridPaymentColList[i].HeaderText = string.Format("{0}年{1}月", dtTitleDate.AddMonths(i).Year, dtTitleDate.AddMonths(i).Month);
 
                     m_GridPaymentColList[i].Name = string.Format("ColPayment{0}", i);
                     m_GridPaymentColList[i].ReadOnly = false;
@@ -489,12 +685,13 @@
 
                     // セル作成
                     m_GridTotalColList[i] = new DataGridViewColumn();
+                    m_GridTotalColList[i].CellTemplate = new DataGridViewTextBoxCell();
                     dgv.Columns.Add(m_GridTotalColList[i]);
 
                     // カラムの設定
                     m_GridTotalColList[i].CellTemplate = new DataGridViewTextBoxCell();
                     m_GridTotalColList[i].DefaultCellStyle = m_GridTotalCellStyleList[i];
-                    m_GridTotalColList[i].HeaderText = ColumnsTitile[i];
+                    m_GridTotalColList[i].HeaderText = ColumnsTitle[i];
 
                     m_GridTotalColList[i].Name = string.Format("ColPayTotal{0}", i);
                     // 補填枠は入力可にする
@@ -520,7 +717,7 @@
         /// データ行を作成する
         /// </summary>
         /// <param name="SetData"></param>
-        private void CreateTitileRow(int TitileNo, string TitileName)
+        private void CreateTitleRow(int TitleNo, string TitleName)
         {
             try
             {
@@ -532,11 +729,11 @@
 
                 // データ作成
                 object[] SetData = new object[colcnt];
-                SetData[(int)DispGridColumn.No] = TitileNo;
-                SetData[(int)DispGridColumn.FixFlg] = "*";
-                SetData[(int)DispGridColumn.GroupCount] = TitileNo;
-                SetData[(int)DispGridColumn.ItemName] = TitileName;
-                SetData[(int)DispGridColumn.TitileFlg] = "1";
+                SetData[(int)GridColumn.No] = TitleNo;
+                SetData[(int)GridColumn.FixFlg] = "*";
+                SetData[(int)GridColumn.GroupCount] = TitleNo;
+                SetData[(int)GridColumn.ItemName] = TitleName;
+                SetData[(int)GridColumn.TitleFlg] = "1";
 
                 // 行データセット
                 dgv.Rows[rowcnt].SetValues(SetData);
@@ -544,7 +741,7 @@
                 // 行の色を変える
                 for (int i = 0; i < colcnt; i++)
                 {
-                    dgv.Rows[rowcnt].Cells[i].Style.BackColor = s_TitileRowBackColor;
+                    dgv.Rows[rowcnt].Cells[i].Style.BackColor = s_TitleRowBackColor;
                 }
 
                 // 表示した行を書込み禁止にする
@@ -570,7 +767,7 @@
                 // 行追加
                 int rowcnt = dgv.Rows.Add(1);
                 // カラム数取得
-                int colcnt=dgv.Columns.Count;
+                int colcnt = dgv.Columns.Count;
 
                 // カレント行取得
                 DataGridViewRow CurRow = dgv.Rows[rowcnt];
@@ -578,9 +775,9 @@
                 // 行データセット
                 CurRow.SetValues(SetData);
                 // フラグセット
-                CurRow.Cells[(int)DispGridColumn.TitileFlg].Value = "0";
-                CurRow.Cells[(int)DispGridColumn.TotalFlg].Value = "0";
-                CurRow.Cells[(int)DispGridColumn.BlankFlg].Value = "0";
+                CurRow.Cells[(int)GridColumn.TitleFlg].Value = "0";
+                CurRow.Cells[(int)GridColumn.TotalFlg].Value = "0";
+                CurRow.Cells[(int)GridColumn.BlankFlg].Value = "0";
             }
             catch (System.Exception ex)
             {
@@ -603,7 +800,7 @@
                 // 行追加
                 int rowcnt = dgv.Rows.Add(1);
                 // フラグON
-                dgv.Rows[rowcnt].Cells[(int)DispGridColumn.BlankFlg].Value = 1;
+                dgv.Rows[rowcnt].Cells[(int)GridColumn.BlankFlg].Value = 1;
                 // 行の色を変える
                 for (int i = 0; i < colcnt; i++)
                 {
@@ -633,7 +830,7 @@
                 // カラム数
                 int colcnt = dgv.Columns.Count;
                 // 総合計は処理しない
-                if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TotalFlg].Value) == 2) return;
+                if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.TotalFlg].Value) == 2) return;
 
                 // 行の色を変える
                 for (int i = 0; i < colcnt; i++)
@@ -640,6 +837,11 @@
                 {
                     dgv.Rows[m_BeforeGridRow].Cells[i].Style.BackColor = s_RowSelectColor;
                 }
+                // 増減データは色を付ける
+                if (CommonMotions.cnvInt(dgv.Rows[m_BeforeGridRow].Cells[(int)GridColumn.FluctuationFlg].Value) != 0)
+                {
+                    dgv.Rows[m_BeforeGridRow].Cells[(int)GridColumn.No].Style.BackColor = Color.Red;
+                }
             }
             catch (System.Exception ex)
             {
@@ -661,9 +863,9 @@
                 DataGridView dgv = dgvAllDisplay;
                 foreach (DataGridViewRow wrkRow in dgv.Rows)
                 {
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.BlankFlg].Value) == 1) continue;
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TitileFlg].Value) == 1) continue;
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TotalFlg].Value) != 0) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.BlankFlg].Value) == 1) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.TitleFlg].Value) == 1) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.TotalFlg].Value) != 0) continue;
 
                     // 行の色をデフォルト色へ変更
                     DefaultRowChangeColor(wrkRow.Index);
